> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create new results

> Create new results. If the results have impact on classification, please use the api /rpc/submit-result-to-policy.



## OpenAPI

````yaml /api-specs/cloud/governance-api.yaml post /results
openapi: 3.0.0
info:
  contact:
    email: support@dominodatalab.com
    name: Domino Data Lab
    url: https://tickets.dominodatalab.com/hc/en-us
  description: Service responsible for managing Domino Governance feature
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  title: Domino Governance API
  version: '1.0'
servers:
  - url: https://mycluster.domino.tech
    description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is <your-subdomain>.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
security: []
paths:
  /results:
    post:
      tags:
        - results
      summary: Create new results
      description: >-
        Create new results. If the results have impact on classification, please
        use the api /rpc/submit-result-to-policy.
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/server.CreateResultsRequest'
        description: Results to create
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/guardrails.ArtifactResult'
                type: array
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.HTTPError'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.HTTPError'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.HTTPError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.HTTPError'
components:
  schemas:
    server.CreateResultsRequest:
      properties:
        bundleId:
          type: string
        content:
          $ref: '#/components/schemas/guardrails.Content'
        evidenceId:
          type: string
        policyId:
          type: string
      required:
        - bundleId
        - content
        - evidenceId
      type: object
    guardrails.ArtifactResult:
      properties:
        artifactContent: {}
        artifactId:
          type: string
        bundleId:
          type: string
        createdAt:
          type: string
        createdBy:
          type: object
        evidenceId:
          type: string
        id:
          type: string
        isLatest:
          type: boolean
      type: object
    server.HTTPError:
      properties:
        message:
          type: string
      type: object
    guardrails.Content:
      additionalProperties: {}
      type: object

````